x020189_g_scriptId = 020189

x020189_g_PosX = 64.85
x020189_g_PosZ = 68.66
x020189_g_FaceDir = -1.57   

--死亡回调
function x020189_OnObjDie(scene, objId, rolebaseId, killerId)
	local boss = GetCopySceneSoulRingBossRoleBaseId(scene)
	if boss == rolebaseId then
		
		SetCopySceneSuccess(scene)
	end
end

--副本Tick
function x020189_OnCopySceneTick(scene,tickCount)
	if tickCount == 0 then
		local rolebaseId = GetCopySceneSoulRingBossRoleBaseId(scene)
		if rolebaseId < 0 then
			SetCopySceneSuccess(scene)
		end

		CreateMonster(scene, rolebaseId, x020189_g_FaceDir, x020189_g_PosX, x020189_g_PosZ)
	end
end